/************************************************************************
*
* Device     : RX/RX600/RX63N,RX631
*
* File Name  : hwsetup.c
*
* Abstract   : Hardware Setup file.
*
* History    : 0.10  (2011-02-21)  [Hardware Manual Revision : 0.01]
*
* NOTE       : THIS IS A TYPICAL EXAMPLE.
*
* Copyright (C) 2011 Renesas Electronics Corporation.
* and Renesas Solutions Corp.
*
************************************************************************/

#include "iodefine.h"
#include "R_PG_RSPI_RX63N.h"
extern void HardwareSetup(void);

/*******************************************************************************
* Function Name: HardwareSetup
* Description  : Set up Hardware
* Arguments    : none
* Return Value : none
*******************************************************************************/
void HardwareSetup(void)
{
    R_PG_IO_PORT_SetPortNotAvailable;
    R_PG_Clock_Set();                   /* Setting Clock */
    R_PG_IO_PORT_Set_PA();              /* Setting PA */
    R_PG_IO_PORT_Set_PD();              /* Setting PD */
    R_PG_IO_PORT_Write_PD6(1);          /* Turn off LED1 */
    R_PG_IO_PORT_Set_PE();              /* Setting PE */
    R_PG_RSPI_Set_C0();                 /* Setting RSPI0 */
    R_PG_RSPI_SetCommand_C0();          /* Setting command */
    R_PG_RSPI_Set_C1();                 /* Setting RSPI1 */
    R_PG_RSPI_SetCommand_C1();          /* Setting command */
}
